/*
  Warnings:

  - The primary key for the `DiscordMessages` table will be changed. If it partially fails, the table could be left without primary key constraint.
  - The primary key for the `MatrixMessages` table will be changed. If it partially fails, the table could be left without primary key constraint.
  - The required column `id` was added to the `DiscordMessages` table with a prisma-level default value. This is not possible if the table is not empty. Please add this column as optional, then populate it before making it required.
  - The required column `id` was added to the `MatrixMessages` table with a prisma-level default value. This is not possible if the table is not empty. Please add this column as optional, then populate it before making it required.

*/
-- RedefineTables
PRAGMA defer_foreign_keys=ON;
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_DiscordMessages" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "discord_id" TEXT NOT NULL,
    "discord_channel_id" TEXT NOT NULL,
    "discord_guild_id" TEXT NOT NULL,
    "matrix_event_id" TEXT NOT NULL
);
INSERT INTO "new_DiscordMessages" ("discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id") SELECT "discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id" FROM "DiscordMessages";
DROP TABLE "DiscordMessages";
ALTER TABLE "new_DiscordMessages" RENAME TO "DiscordMessages";
CREATE TABLE "new_MatrixMessages" (
    "id" TEXT NOT NULL PRIMARY KEY,
    "matrix_event_id" TEXT NOT NULL,
    "discord_id" TEXT NOT NULL,
    "discord_channel_id" TEXT NOT NULL,
    "discord_guild_id" TEXT NOT NULL
);
INSERT INTO "new_MatrixMessages" ("discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id") SELECT "discord_channel_id", "discord_guild_id", "discord_id", "matrix_event_id" FROM "MatrixMessages";
DROP TABLE "MatrixMessages";
ALTER TABLE "new_MatrixMessages" RENAME TO "MatrixMessages";
PRAGMA foreign_keys=ON;
PRAGMA defer_foreign_keys=OFF;
